curl --request POST \
--url https://{cluster}.voucherify.io/v2/loyalties/rewards/{rewardId}/activate \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "<string>",
"name": "<string>",
"type": "MATERIAL",
"status": "ACTIVE",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"validity_hours": {
"type": "DAILY",
"daily": [
{
"days_of_week": [
3
],
"start_time": "09:00",
"end_time": "17:00"
}
]
},
"refunds": {
"type": "NONE"
},
"costs": [
{
"id": "<string>",
"tier_rules": {
"type": "NO_REQUIREMENTS",
"any_of": [
{
"tier_structure_id": "<string>",
"tier_ids": [
"<string>"
]
}
]
},
"name": "<string>",
"rules": {
"logic": "<string>"
},
"spending": [
{
"id": "<string>",
"points": 123,
"card_definition_id": "<string>",
"name": "<string>"
}
]
}
],
"purchase_limits": {
"cooldown": {
"type": "NO_COOLDOWN",
"fixed_cooldown": {
"period": {
"value": 2,
"unit": "HOUR"
}
}
},
"frequency": {
"type": "NO_LIMIT",
"limits": [
{
"type": "TIME_BASED",
"period": {
"type": "CURRENT_PERIOD",
"current_period": {
"unit": "DAY"
}
},
"triggers": {
"max": 2
}
}
]
}
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "reward",
"material": {
"type": "PRODUCT",
"product": {
"id": "<string>"
},
"sku": {
"product_id": "<string>",
"id": "<string>"
}
},
"digital": {
"type": "DISCOUNT_COUPONS",
"discount_coupons": {
"campaign_id": "<string>"
},
"gift_vouchers": {
"campaign_id": "<string>",
"balance": 123
},
"loyalty_card_points": {
"points": 123,
"card_definition_id": "<string>"
}
}
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 500,
"key": "api_error",
"message": "Something went wrong. Don't worry, your campaigns are still safe and the Voucherify Team has been notified. Check out our Help Center and forums for help, or head back to home."
}Activate reward
This documentation is in progress. The parameters, fields, request and response bodies, and other data may be subject to change. If you need more information or you want to share feedback, contact Voucherify support or your Technical Account Manager.
Moves the reward to the ACTIVE status. Allowed from DRAFT or INACTIVE status;
other transitions return 400 invalid_state_transition. This endpoint takes no
request body. Activation returns 423 resource_locked when a linked card definition is not ACTIVE (non_active_card_definition), a tier structure in the tier rules is not ACTIVE (non_active_tier_structure), or a digital reward campaign is in DRAFT (non_active_campaign).
A successful call records vl.reward.activated.
curl --request POST \
--url https://{cluster}.voucherify.io/v2/loyalties/rewards/{rewardId}/activate \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "<string>",
"name": "<string>",
"type": "MATERIAL",
"status": "ACTIVE",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"validity_hours": {
"type": "DAILY",
"daily": [
{
"days_of_week": [
3
],
"start_time": "09:00",
"end_time": "17:00"
}
]
},
"refunds": {
"type": "NONE"
},
"costs": [
{
"id": "<string>",
"tier_rules": {
"type": "NO_REQUIREMENTS",
"any_of": [
{
"tier_structure_id": "<string>",
"tier_ids": [
"<string>"
]
}
]
},
"name": "<string>",
"rules": {
"logic": "<string>"
},
"spending": [
{
"id": "<string>",
"points": 123,
"card_definition_id": "<string>",
"name": "<string>"
}
]
}
],
"purchase_limits": {
"cooldown": {
"type": "NO_COOLDOWN",
"fixed_cooldown": {
"period": {
"value": 2,
"unit": "HOUR"
}
}
},
"frequency": {
"type": "NO_LIMIT",
"limits": [
{
"type": "TIME_BASED",
"period": {
"type": "CURRENT_PERIOD",
"current_period": {
"unit": "DAY"
}
},
"triggers": {
"max": 2
}
}
]
}
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "reward",
"material": {
"type": "PRODUCT",
"product": {
"id": "<string>"
},
"sku": {
"product_id": "<string>",
"id": "<string>"
}
},
"digital": {
"type": "DISCOUNT_COUPONS",
"discount_coupons": {
"campaign_id": "<string>"
},
"gift_vouchers": {
"campaign_id": "<string>",
"balance": 123
},
"loyalty_card_points": {
"points": 123,
"card_definition_id": "<string>"
}
}
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 500,
"key": "api_error",
"message": "Something went wrong. Don't worry, your campaigns are still safe and the Voucherify Team has been notified. Check out our Help Center and forums for help, or head back to home."
}Authorizations
Path Parameters
Response
The activated reward.
Response body schema for POST /v2/loyalties/rewards/{rewardId}/activate.

